# Interface JvmBinarySpec

All Superinterfaces:
  `Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, ModelElement, Named`

All Known Subinterfaces:
  `ClassDirectoryBinarySpec, JarBinarySpec, JUnitTestSuiteBinarySpec, JvmTestSuiteBinarySpec`

@Incubating public interface JvmBinarySpec extends BinarySpec
Represents a binary artifact that is the result of building a jvm component.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`File`
`getClassesDir()`
The classes directory for this binary.
`File`
`getResourcesDir()`
The resources directory for this binary.
`JavaPlatform`
`getTargetPlatform()`
The target platform for this binary.
`JavaToolChain`
`getToolChain()`
Returns the `JavaToolChain` that will be used to build this binary.
`void`
`setClassesDir(File classesDir)`
Sets the classes directory for this binary.
`void`
`setResourcesDir(File dir)`
Sets the resources directory for this binary.
`void`
`setTargetPlatform(JavaPlatform platform)`
Sets the target platform for this binary.
`void`
`setToolChain(JavaToolChain toolChain)`
Sets the `JavaToolChain` that will be used to build this binary.

### Methods inherited from interface Binary

`getDisplayName`

### Methods inherited from interface BinarySpec

`getInputs, getSources, getTasks, isBuildable`

### Methods inherited from interface Buildable

`getBuildDependencies`

### Methods inherited from interface BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface CheckableComponentSpec

`checkedBy, getCheckTask, setCheckTask`

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName, getName`

## Method Details

### getTargetPlatform

JavaPlatform getTargetPlatform()
The target platform for this binary.

### setTargetPlatform

void setTargetPlatform(JavaPlatform platform)
Sets the target platform for this binary.

### getToolChain

JavaToolChain getToolChain()
Returns the `JavaToolChain` that will be used to build this binary.

### setToolChain

void setToolChain(JavaToolChain toolChain)
Sets the `JavaToolChain` that will be used to build this binary.

### getClassesDir

File getClassesDir()
The classes directory for this binary.

### setClassesDir

void setClassesDir(File classesDir)
Sets the classes directory for this binary.

### getResourcesDir

File getResourcesDir()
The resources directory for this binary.

### setResourcesDir

void setResourcesDir(File dir)
Sets the resources directory for this binary.